Merge remote-tracking branch 'upstream/pull/3388'
[rails.git] / Gemfile.lock
1 GEM
2   remote: https://rubygems.org/
3   specs:
4     aasm (5.2.0)
5       concurrent-ruby (~> 1.0)
6     actioncable (6.1.4.1)
7       actionpack (= 6.1.4.1)
8       activesupport (= 6.1.4.1)
9       nio4r (~> 2.0)
10       websocket-driver (>= 0.6.1)
11     actionmailbox (6.1.4.1)
12       actionpack (= 6.1.4.1)
13       activejob (= 6.1.4.1)
14       activerecord (= 6.1.4.1)
15       activestorage (= 6.1.4.1)
16       activesupport (= 6.1.4.1)
17       mail (>= 2.7.1)
18     actionmailer (6.1.4.1)
19       actionpack (= 6.1.4.1)
20       actionview (= 6.1.4.1)
21       activejob (= 6.1.4.1)
22       activesupport (= 6.1.4.1)
23       mail (~> 2.5, >= 2.5.4)
24       rails-dom-testing (~> 2.0)
25     actionpack (6.1.4.1)
26       actionview (= 6.1.4.1)
27       activesupport (= 6.1.4.1)
28       rack (~> 2.0, >= 2.0.9)
29       rack-test (>= 0.6.3)
30       rails-dom-testing (~> 2.0)
31       rails-html-sanitizer (~> 1.0, >= 1.2.0)
32     actionpack-page_caching (1.2.4)
33       actionpack (>= 4.0.0)
34     actiontext (6.1.4.1)
35       actionpack (= 6.1.4.1)
36       activerecord (= 6.1.4.1)
37       activestorage (= 6.1.4.1)
38       activesupport (= 6.1.4.1)
39       nokogiri (>= 1.8.5)
40     actionview (6.1.4.1)
41       activesupport (= 6.1.4.1)
42       builder (~> 3.1)
43       erubi (~> 1.4)
44       rails-dom-testing (~> 2.0)
45       rails-html-sanitizer (~> 1.1, >= 1.2.0)
46     active_record_union (1.3.0)
47       activerecord (>= 4.0)
48     activejob (6.1.4.1)
49       activesupport (= 6.1.4.1)
50       globalid (>= 0.3.6)
51     activemodel (6.1.4.1)
52       activesupport (= 6.1.4.1)
53     activerecord (6.1.4.1)
54       activemodel (= 6.1.4.1)
55       activesupport (= 6.1.4.1)
56     activerecord-import (1.2.0)
57       activerecord (>= 3.2)
58     activestorage (6.1.4.1)
59       actionpack (= 6.1.4.1)
60       activejob (= 6.1.4.1)
61       activerecord (= 6.1.4.1)
62       activesupport (= 6.1.4.1)
63       marcel (~> 1.0.0)
64       mini_mime (>= 1.1.0)
65     activesupport (6.1.4.1)
66       concurrent-ruby (~> 1.0, >= 1.0.2)
67       i18n (>= 1.6, < 2)
68       minitest (>= 5.1)
69       tzinfo (~> 2.0)
70       zeitwerk (~> 2.3)
71     addressable (2.8.0)
72       public_suffix (>= 2.0.2, < 5.0)
73     annotate (3.1.1)
74       activerecord (>= 3.2, < 7.0)
75       rake (>= 10.4, < 14.0)
76     argon2 (2.1.1)
77       ffi (~> 1.14)
78       ffi-compiler (~> 1.0)
79     ast (2.4.2)
80     autoprefixer-rails (10.3.3.0)
81       execjs (~> 2)
82     aws-eventstream (1.2.0)
83     aws-partitions (1.536.0)
84     aws-sdk-core (3.123.0)
85       aws-eventstream (~> 1, >= 1.0.2)
86       aws-partitions (~> 1, >= 1.525.0)
87       aws-sigv4 (~> 1.1)
88       jmespath (~> 1.0)
89     aws-sdk-kms (1.51.0)
90       aws-sdk-core (~> 3, >= 3.122.0)
91       aws-sigv4 (~> 1.1)
92     aws-sdk-s3 (1.108.0)
93       aws-sdk-core (~> 3, >= 3.122.0)
94       aws-sdk-kms (~> 1)
95       aws-sigv4 (~> 1.4)
96     aws-sigv4 (1.4.0)
97       aws-eventstream (~> 1, >= 1.0.2)
98     better_errors (2.9.1)
99       coderay (>= 1.0.0)
100       erubi (>= 1.0.0)
101       rack (>= 0.9.0)
102     better_html (1.0.16)
103       actionview (>= 4.0)
104       activesupport (>= 4.0)
105       ast (~> 2.0)
106       erubi (~> 1.4)
107       html_tokenizer (~> 0.0.6)
108       parser (>= 2.4)
109       smart_properties
110     binding_of_caller (1.0.0)
111       debug_inspector (>= 0.0.1)
112     bootsnap (1.9.3)
113       msgpack (~> 1.0)
114     bootstrap (4.5.3)
115       autoprefixer-rails (>= 9.1.0)
116       popper_js (>= 1.14.3, < 2)
117       sassc-rails (>= 2.0.0)
118     bootstrap_form (4.5.0)
119       actionpack (>= 5.2)
120       activemodel (>= 5.2)
121     brakeman (5.1.2)
122     browser (5.3.1)
123     builder (3.2.4)
124     bzip2-ffi (1.1.0)
125       ffi (~> 1.0)
126     cancancan (3.3.0)
127     canonical-rails (0.2.13)
128       rails (>= 4.1, <= 7.0)
129     capybara (3.36.0)
130       addressable
131       matrix
132       mini_mime (>= 0.1.3)
133       nokogiri (~> 1.8)
134       rack (>= 1.6.0)
135       rack-test (>= 0.6.3)
136       regexp_parser (>= 1.5, < 3.0)
137       xpath (~> 3.2)
138     childprocess (3.0.0)
139     coderay (1.1.3)
140     composite_primary_keys (13.0.0)
141       activerecord (~> 6.1.0)
142     concurrent-ruby (1.1.9)
143     config (3.1.0)
144       deep_merge (~> 1.2, >= 1.2.1)
145       dry-validation (~> 1.0, >= 1.0.0)
146     connection_pool (2.2.5)
147     crack (0.4.5)
148       rexml
149     crass (1.0.6)
150     dalli (3.0.5)
151     debug_inspector (1.1.0)
152     deep_merge (1.2.1)
153     delayed_job (4.1.9)
154       activesupport (>= 3.0, < 6.2)
155     delayed_job_active_record (4.1.6)
156       activerecord (>= 3.0, < 6.2)
157       delayed_job (>= 3.0, < 5)
158     docile (1.4.0)
159     doorkeeper (5.5.4)
160       railties (>= 5)
161     doorkeeper-i18n (5.2.3)
162       doorkeeper (>= 5.2)
163     dry-configurable (0.13.0)
164       concurrent-ruby (~> 1.0)
165       dry-core (~> 0.6)
166     dry-container (0.9.0)
167       concurrent-ruby (~> 1.0)
168       dry-configurable (~> 0.13, >= 0.13.0)
169     dry-core (0.7.1)
170       concurrent-ruby (~> 1.0)
171     dry-inflector (0.2.1)
172     dry-initializer (3.0.4)
173     dry-logic (1.2.0)
174       concurrent-ruby (~> 1.0)
175       dry-core (~> 0.5, >= 0.5)
176     dry-schema (1.8.0)
177       concurrent-ruby (~> 1.0)
178       dry-configurable (~> 0.13, >= 0.13.0)
179       dry-core (~> 0.5, >= 0.5)
180       dry-initializer (~> 3.0)
181       dry-logic (~> 1.0)
182       dry-types (~> 1.5)
183     dry-types (1.5.1)
184       concurrent-ruby (~> 1.0)
185       dry-container (~> 0.3)
186       dry-core (~> 0.5, >= 0.5)
187       dry-inflector (~> 0.1, >= 0.1.2)
188       dry-logic (~> 1.0, >= 1.0.2)
189     dry-validation (1.7.0)
190       concurrent-ruby (~> 1.0)
191       dry-container (~> 0.7, >= 0.7.1)
192       dry-core (~> 0.5, >= 0.5)
193       dry-initializer (~> 3.0)
194       dry-schema (~> 1.8, >= 1.8.0)
195     erb_lint (0.1.1)
196       activesupport
197       better_html (~> 1.0.7)
198       html_tokenizer
199       parser (>= 2.7.1.4)
200       rainbow
201       rubocop
202       smart_properties
203     erubi (1.10.0)
204     execjs (2.8.1)
205     exifr (1.3.9)
206     factory_bot (6.2.0)
207       activesupport (>= 5.0.0)
208     factory_bot_rails (6.2.0)
209       factory_bot (~> 6.2.0)
210       railties (>= 5.0.0)
211     faraday (1.8.0)
212       faraday-em_http (~> 1.0)
213       faraday-em_synchrony (~> 1.0)
214       faraday-excon (~> 1.1)
215       faraday-httpclient (~> 1.0.1)
216       faraday-net_http (~> 1.0)
217       faraday-net_http_persistent (~> 1.1)
218       faraday-patron (~> 1.0)
219       faraday-rack (~> 1.0)
220       multipart-post (>= 1.2, < 3)
221       ruby2_keywords (>= 0.0.4)
222     faraday-em_http (1.0.0)
223     faraday-em_synchrony (1.0.0)
224     faraday-excon (1.1.0)
225     faraday-httpclient (1.0.1)
226     faraday-net_http (1.0.1)
227     faraday-net_http_persistent (1.2.0)
228     faraday-patron (1.0.0)
229     faraday-rack (1.0.0)
230     ffi (1.15.4)
231     ffi-compiler (1.0.1)
232       ffi (>= 1.0.0)
233       rake
234     ffi-libarchive (1.1.3)
235       ffi (~> 1.0)
236     fspath (3.1.2)
237     gd2-ffij (0.4.0)
238       ffi (>= 1.0.0)
239     globalid (1.0.0)
240       activesupport (>= 5.0)
241     hashdiff (1.0.1)
242     hashie (5.0.0)
243     html_tokenizer (0.0.7)
244     htmlentities (4.3.4)
245     http_accept_language (2.1.1)
246     i18n (1.8.11)
247       concurrent-ruby (~> 1.0)
248     i18n-js (3.9.0)
249       i18n (>= 0.6.6)
250     image_optim (0.31.1)
251       exifr (~> 1.2, >= 1.2.2)
252       fspath (~> 3.0)
253       image_size (>= 1.5, < 4)
254       in_threads (~> 1.3)
255       progress (~> 3.0, >= 3.0.1)
256     image_optim_rails (0.4.3)
257       image_optim (~> 0.24)
258       rails
259       sprockets
260     image_processing (1.12.1)
261       mini_magick (>= 4.9.5, < 5)
262       ruby-vips (>= 2.0.17, < 3)
263     image_size (3.0.1)
264     in_threads (1.5.4)
265     jbuilder (2.11.3)
266       activesupport (>= 5.0.0)
267     jmespath (1.4.0)
268     jquery-rails (4.4.0)
269       rails-dom-testing (>= 1, < 3)
270       railties (>= 4.2.0)
271       thor (>= 0.14, < 2.0)
272     json (2.6.1)
273     jwt (2.3.0)
274     kgio (2.11.4)
275     kramdown (2.3.1)
276       rexml
277     libxml-ruby (3.2.1)
278     listen (3.7.0)
279       rb-fsevent (~> 0.10, >= 0.10.3)
280       rb-inotify (~> 0.9, >= 0.9.10)
281     logstasher (2.1.5)
282       activesupport (>= 5.2)
283       request_store
284     loofah (2.12.0)
285       crass (~> 1.0.2)
286       nokogiri (>= 1.5.9)
287     mail (2.7.1)
288       mini_mime (>= 0.1.1)
289     marcel (1.0.2)
290     matrix (0.4.2)
291     maxminddb (0.1.22)
292     method_source (1.0.0)
293     mini_magick (4.11.0)
294     mini_mime (1.1.2)
295     mini_portile2 (2.6.1)
296     minitest (5.14.4)
297     msgpack (1.4.2)
298     multi_json (1.15.0)
299     multi_xml (0.6.0)
300     multipart-post (2.1.1)
301     nio4r (2.5.8)
302     nokogiri (1.12.5)
303       mini_portile2 (~> 2.6.1)
304       racc (~> 1.4)
305     oauth (0.4.7)
306     oauth-plugin (0.5.1)
307       multi_json
308       oauth (~> 0.4.4)
309       oauth2 (>= 0.5.0)
310       rack
311     oauth2 (1.4.7)
312       faraday (>= 0.8, < 2.0)
313       jwt (>= 1.0, < 3.0)
314       multi_json (~> 1.3)
315       multi_xml (~> 0.5)
316       rack (>= 1.2, < 3)
317     omniauth (2.0.4)
318       hashie (>= 3.4.6)
319       rack (>= 1.6.2, < 3)
320       rack-protection
321     omniauth-facebook (9.0.0)
322       omniauth-oauth2 (~> 1.2)
323     omniauth-github (2.0.0)
324       omniauth (~> 2.0)
325       omniauth-oauth2 (~> 1.7.1)
326     omniauth-google-oauth2 (1.0.0)
327       jwt (>= 2.0)
328       oauth2 (~> 1.1)
329       omniauth (~> 2.0)
330       omniauth-oauth2 (~> 1.7.1)
331     omniauth-mediawiki (0.0.4)
332       jwt (~> 2.0)
333       omniauth-oauth (~> 1.0)
334     omniauth-oauth (1.2.0)
335       oauth
336       omniauth (>= 1.0, < 3)
337     omniauth-oauth2 (1.7.2)
338       oauth2 (~> 1.4)
339       omniauth (>= 1.9, < 3)
340     omniauth-openid (2.0.1)
341       omniauth (>= 1.0, < 3.0)
342       rack-openid (~> 1.4.0)
343     omniauth-rails_csrf_protection (1.0.0)
344       actionpack (>= 4.2)
345       omniauth (~> 2.0)
346     omniauth-windowslive (0.0.12)
347       multi_json (~> 1.12)
348       omniauth-oauth2 (~> 1.4)
349     openstreetmap-deadlock_retry (1.3.1)
350     parallel (1.21.0)
351     parser (3.0.3.1)
352       ast (~> 2.4.1)
353     pg (1.2.3)
354     popper_js (1.16.0)
355     progress (3.6.0)
356     public_suffix (4.0.6)
357     puma (5.5.2)
358       nio4r (~> 2.0)
359     quad_tile (1.0.1)
360     r2 (0.2.7)
361     racc (1.6.0)
362     rack (2.2.3)
363     rack-cors (1.1.1)
364       rack (>= 2.0.0)
365     rack-openid (1.4.2)
366       rack (>= 1.1.0)
367       ruby-openid (>= 2.1.8)
368     rack-protection (2.1.0)
369       rack
370     rack-test (1.1.0)
371       rack (>= 1.0, < 3)
372     rack-uri_sanitizer (0.0.2)
373     rails (6.1.4.1)
374       actioncable (= 6.1.4.1)
375       actionmailbox (= 6.1.4.1)
376       actionmailer (= 6.1.4.1)
377       actionpack (= 6.1.4.1)
378       actiontext (= 6.1.4.1)
379       actionview (= 6.1.4.1)
380       activejob (= 6.1.4.1)
381       activemodel (= 6.1.4.1)
382       activerecord (= 6.1.4.1)
383       activestorage (= 6.1.4.1)
384       activesupport (= 6.1.4.1)
385       bundler (>= 1.15.0)
386       railties (= 6.1.4.1)
387       sprockets-rails (>= 2.0.0)
388     rails-controller-testing (1.0.5)
389       actionpack (>= 5.0.1.rc1)
390       actionview (>= 5.0.1.rc1)
391       activesupport (>= 5.0.1.rc1)
392     rails-dom-testing (2.0.3)
393       activesupport (>= 4.2.0)
394       nokogiri (>= 1.6)
395     rails-html-sanitizer (1.4.2)
396       loofah (~> 2.3)
397     rails-i18n (6.0.0)
398       i18n (>= 0.7, < 2)
399       railties (>= 6.0.0, < 7)
400     railties (6.1.4.1)
401       actionpack (= 6.1.4.1)
402       activesupport (= 6.1.4.1)
403       method_source
404       rake (>= 0.13)
405       thor (~> 1.0)
406     rainbow (3.0.0)
407     rake (13.0.6)
408     rb-fsevent (0.11.0)
409     rb-inotify (0.10.1)
410       ffi (~> 1.0)
411     regexp_parser (2.1.1)
412     request_store (1.5.0)
413       rack (>= 1.4)
414     rexml (3.2.5)
415     rinku (2.0.6)
416     rotp (6.2.0)
417     rubocop (1.23.0)
418       parallel (~> 1.10)
419       parser (>= 3.0.0.0)
420       rainbow (>= 2.2.2, < 4.0)
421       regexp_parser (>= 1.8, < 3.0)
422       rexml
423       rubocop-ast (>= 1.12.0, < 2.0)
424       ruby-progressbar (~> 1.7)
425       unicode-display_width (>= 1.4.0, < 3.0)
426     rubocop-ast (1.13.0)
427       parser (>= 3.0.1.1)
428     rubocop-minitest (0.17.0)
429       rubocop (>= 0.90, < 2.0)
430     rubocop-performance (1.12.0)
431       rubocop (>= 1.7.0, < 2.0)
432       rubocop-ast (>= 0.4.0)
433     rubocop-rails (2.12.4)
434       activesupport (>= 4.2.0)
435       rack (>= 1.1)
436       rubocop (>= 1.7.0, < 2.0)
437     rubocop-rake (0.6.0)
438       rubocop (~> 1.0)
439     ruby-openid (2.9.2)
440     ruby-progressbar (1.11.0)
441     ruby-vips (2.1.4)
442       ffi (~> 1.12)
443     ruby2_keywords (0.0.5)
444     rubyzip (2.3.2)
445     sanitize (6.0.0)
446       crass (~> 1.0.2)
447       nokogiri (>= 1.12.0)
448     sassc (2.4.0)
449       ffi (~> 1.9)
450     sassc-rails (2.1.2)
451       railties (>= 4.0.0)
452       sassc (>= 2.0)
453       sprockets (> 3.0)
454       sprockets-rails
455       tilt
456     secure_headers (6.3.3)
457     selenium-webdriver (3.142.7)
458       childprocess (>= 0.5, < 4.0)
459       rubyzip (>= 1.2.2)
460     simplecov (0.21.2)
461       docile (~> 1.1)
462       simplecov-html (~> 0.11)
463       simplecov_json_formatter (~> 0.1)
464     simplecov-html (0.12.3)
465     simplecov-lcov (0.8.0)
466     simplecov_json_formatter (0.1.3)
467     smart_properties (1.16.3)
468     sprockets (4.0.2)
469       concurrent-ruby (~> 1.0)
470       rack (> 1, < 3)
471     sprockets-rails (3.4.1)
472       actionpack (>= 5.2)
473       activesupport (>= 5.2)
474       sprockets (>= 3.0.0)
475     strong_migrations (0.7.8)
476       activerecord (>= 5)
477     terser (1.1.8)
478       execjs (>= 0.3.0, < 3)
479     thor (1.1.0)
480     tilt (2.0.10)
481     tzinfo (2.0.4)
482       concurrent-ruby (~> 1.0)
483     unicode-display_width (2.1.0)
484     validates_email_format_of (1.6.3)
485       i18n
486     vendorer (0.2.0)
487     webmock (3.14.0)
488       addressable (>= 2.8.0)
489       crack (>= 0.3.2)
490       hashdiff (>= 0.4.0, < 2.0.0)
491     websocket-driver (0.7.5)
492       websocket-extensions (>= 0.1.0)
493     websocket-extensions (0.1.5)
494     xpath (3.2.0)
495       nokogiri (~> 1.8)
496     zeitwerk (2.5.1)
497
498 PLATFORMS
499   ruby
500
501 DEPENDENCIES
502   aasm
503   actionpack-page_caching (>= 1.2.0)
504   active_record_union
505   activerecord-import
506   annotate
507   argon2
508   autoprefixer-rails
509   aws-sdk-s3
510   better_errors
511   binding_of_caller
512   bootsnap (>= 1.4.2)
513   bootstrap (~> 4.5.0)
514   bootstrap_form (~> 4.0)
515   brakeman
516   browser
517   bzip2-ffi
518   cancancan
519   canonical-rails
520   capybara (>= 2.15)
521   composite_primary_keys (~> 13.0.0, != 13.0.1)
522   config
523   connection_pool
524   dalli
525   debug_inspector
526   delayed_job_active_record
527   doorkeeper
528   doorkeeper-i18n
529   erb_lint
530   factory_bot_rails
531   faraday
532   ffi-libarchive
533   gd2-ffij (>= 0.4.0)
534   htmlentities
535   http_accept_language (~> 2.1.1)
536   i18n-js (>= 3.0.0)
537   image_optim_rails
538   image_processing
539   jbuilder (~> 2.7)
540   jquery-rails
541   json
542   kgio
543   kramdown
544   libxml-ruby (>= 2.0.5)
545   listen
546   logstasher
547   marcel
548   maxminddb
549   minitest (~> 5.1)
550   oauth-plugin (>= 0.5.1)
551   omniauth (~> 2.0.2)
552   omniauth-facebook
553   omniauth-github
554   omniauth-google-oauth2 (>= 0.6.0)
555   omniauth-mediawiki (>= 0.0.4)
556   omniauth-openid
557   omniauth-rails_csrf_protection (~> 1.0)
558   omniauth-windowslive
559   openstreetmap-deadlock_retry (>= 1.3.1)
560   pg
561   puma (~> 5.3)
562   quad_tile (~> 1.0.1)
563   r2 (~> 0.2.7)
564   rack-cors
565   rack-uri_sanitizer
566   rails (= 6.1.4.1)
567   rails-controller-testing
568   rails-i18n (~> 6.0.0)
569   rinku (>= 2.0.6)
570   rotp
571   rubocop
572   rubocop-minitest
573   rubocop-performance
574   rubocop-rails
575   rubocop-rake
576   sanitize
577   sassc-rails
578   secure_headers
579   selenium-webdriver (~> 3.142.7)
580   simplecov
581   simplecov-lcov
582   strong_migrations
583   terser
584   validates_email_format_of (>= 1.5.1)
585   vendorer
586   webmock
587
588 BUNDLED WITH
589    2.2.16